SoProfilerTopEngine(3)

NAME
SoProfilerTopEngine - The SoProfilerTopEngine class is yet to be documented.

SYNOPSIS

#include <Inventor/annex/Profiler/engines/SoProfilerTopEngine.h>

Inherits SoEngine.

  Public Types
enum Column { NAME, COUNT, TIME_SECS, TIME_SECS_MAX, TIME_SECS_AVG, TIME_MSECS, TIME_MSECS_MAX, TIME_MSECS_AVG, TIME_PERCENT, TIME_PERCENT_MAX, TIME_PERCENT_AVG }
enum SortOrder { TIME_DEC, TIME_MAX_DEC, TIME_AVG_DEC, COUNT_DEC_TIME_DEC, COUNT_DEC_TIME_MAX_DEC, COUNT_DEC_TIME_AVG_DEC, ALPHANUMERIC_INC }

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFName statisticsNames
SoMFTime statisticsTimings
SoMFTime statisticsTimingsMax
SoMFUInt32 statisticsCounts
SoMFEnum columns
SoSFEnum sortOrder
SoSFInt32 maxLines
SoSFFloat decay
SoEngineOutput prettyText

  Protected Member Functions
virtual void evaluate (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoProfilerTopEngine class is yet to be documented. FIXME: write doc.

Member Function Documentation

  SoType SoProfilerTopEngine::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoProfilerTopEngine::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoProfilerTopEngine::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoProfilerTopEngine::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoProfilerTopEngine::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoProfilerTopEngine::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoProfilerTopEngine::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

  void SoProfilerTopEngine::evaluate (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoEngine.

Author

Generated automatically by Doxygen for Coin from the source code.